Skip to main content
GET
/
organization
/
{organizationId}
/
billingInfo
Get organization billing info
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/billingInfo \
  --header 'Authorization: Bearer <token>'
{
  "first_name": "Forrest",
  "last_name": "Gump",
  "email": "forrest@gump.com",
  "address": "21 Jenny Street",
  "city": "Greenbow",
  "zip": "36744",
  "state": "Alabama",
  "country_code": "US",
  "company": "<string>",
  "vat_number": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Response

Get Billing Info

first_name
string | null
Example:

"Forrest"

last_name
string | null
Example:

"Gump"

email
string<email> | null

email used for billing, and to receive all invoices by email

Example:

"forrest@gump.com"

address
string | null
Example:

"21 Jenny Street"

city
string | null
Example:

"Greenbow"

zip
string | null
Example:

"36744"

state
string | null

only for US

Example:

"Alabama"

country_code
string | null

ISO code of the country

Example:

"US"

company
string | null

name of the company to bill

vat_number
string | null